//
//  AppDelegate.m
//  SLAiELTS
//
//  Created by Gusont on 2023/2/27.
//

#import "AppDelegate.h"
#import "IQKeyboardManager.h"
#import "SLLoginVCViewController.h"
#import "SLBaseTabBarController.h"

@interface AppDelegate ()

@end

@implementation AppDelegate


- (BOOL)application:(UIApplication *)application didFinishLaunchingWithOptions:(NSDictionary *)launchOptions {
    // Override point for customization after application launch.
    [SLHttpCenter SharedInstance].serverUrl = @"http://115.238.47.235:8995";
    if (@available(iOS 13.0, *)) {
        
    }else {
        SLBaseTabBarController *baseVc = [[SLBaseTabBarController alloc] init];
        UIViewController *vc = [SLLoginVCViewController loadViewControllewWithNib];
        self.window.rootViewController = [[SLBaseNavigationController alloc] initWithRootViewController:baseVc];
        [self.window makeKeyAndVisible];
    }
    return YES;
}

#pragma MARK- IQ键盘初始化
-(void)BuildIQkeyBoard
{
    IQKeyboardManager *manager =  [IQKeyboardManager sharedManager];
    manager.enable = YES;//是否启用键盘管理
    manager.shouldResignOnTouchOutside = YES;//点击可编辑之外，是否自动隐藏键盘
    manager.enableAutoToolbar = YES;//控制是否显示键盘上的工具条
    manager.keyboardDistanceFromTextField = 20.f;
    manager.layoutIfNeededOnUpdate = YES;
}


#pragma mark - UISceneSession lifecycle


- (UISceneConfiguration *)application:(UIApplication *)application configurationForConnectingSceneSession:(UISceneSession *)connectingSceneSession options:(UISceneConnectionOptions *)options {
    // Called when a new scene session is being created.
    // Use this method to select a configuration to create the new scene with.
    return [[UISceneConfiguration alloc] initWithName:@"Default Configuration" sessionRole:connectingSceneSession.role];
}


- (void)application:(UIApplication *)application didDiscardSceneSessions:(NSSet<UISceneSession *> *)sceneSessions {
    // Called when the user discards a scene session.
    // If any sessions were discarded while the application was not running, this will be called shortly after application:didFinishLaunchingWithOptions.
    // Use this method to release any resources that were specific to the discarded scenes, as they will not return.
}


@end
